Package org.eclipse.gef.tools

# Class ToolUtilities

java.lang.Object
org.eclipse.gef.tools.ToolUtilities

public class ToolUtilities extends Object
Utilities for `Tools`.

## Constructor Summary

Constructors
Constructor
Description
`ToolUtilities()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`filterEditPartsUnderstanding(List<? extends EditPart> list, Request request)`
Filters the given list of EditParts so that the list only contains the EditParts that understand the given request (i.e. return `true` from `EditPart.understandsRequest(Request)` when passed the given request).
`static EditPart`
`findCommonAncestor(EditPart ll, EditPart rr)`
Returns the common parent editpart for given pair of EditParts.
`static List<? extends EditPart>`
`getSelectionWithoutDependants(List<? extends EditPart> selectedParts)`
Returns a list containing the top level selected edit parts based on the passed in list of selection.
`static List<? extends EditPart>`
`getSelectionWithoutDependants(EditPartViewer viewer)`
Returns a list containing the top level selected edit parts based on the viewer's selection.
`static boolean`
`isAncestorContainedIn(Collection<? extends EditPart> c, EditPart ep)`
Checks if collection contains any ancestor of editpart `ep`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ToolUtilities

public ToolUtilities()

## Method Details

### getSelectionWithoutDependants

public static List<? extends EditPart> getSelectionWithoutDependants(EditPartViewer viewer)
Returns a list containing the top level selected edit parts based on the viewer's selection.

Parameters:
  `viewer` - the viewer
Returns:
  the selection excluding dependants

### getSelectionWithoutDependants

public static List<? extends EditPart> getSelectionWithoutDependants(List<? extends EditPart> selectedParts)
Returns a list containing the top level selected edit parts based on the passed in list of selection.

Parameters:
  `selectedParts` - the complete selection
Returns:
  the selection excluding dependants

### filterEditPartsUnderstanding

public static void filterEditPartsUnderstanding(List<? extends EditPart> list, Request request)
Filters the given list of EditParts so that the list only contains the EditParts that understand the given request (i.e. return `true` from `EditPart.understandsRequest(Request)` when passed the given request).

Parameters:
  `list` - the list of edit parts to filter
  `request` - the request

### isAncestorContainedIn

public static boolean isAncestorContainedIn(Collection<? extends EditPart> c, EditPart ep)
Checks if collection contains any ancestor of editpart `ep`

Parameters:
  `c` - - collection of editparts
  `ep` - - the editparts to check ancestors for
Returns:
  `true` if collection contains any ancestor(s) of the editpart `ep`
Since:
  3.6

### findCommonAncestor

public static EditPart findCommonAncestor(EditPart ll, EditPart rr)
Returns the common parent editpart for given pair of EditParts. If the two parts are identical, the result is that part. If the two parts do not have a common ancestor, some form of RuntimeException will be thrown.

Parameters:
  `ll` - the first editpart
  `rr` - the second editpart
Returns:
  the editpart which is the common ancestor.
Since:
  3.1